Package com.enonic.xp.region

## Class ComponentPath

- java.lang.Object
- - com.enonic.xp.region.ComponentPath

- All Implemented Interfaces:
    `Iterable<ComponentPath.RegionAndComponent>`

      @PublicApi
      public final class ComponentPath
      extends Object
      implements Iterable<ComponentPath.RegionAndComponent>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComponentPath.ComponentIndex` |
    `static class` | `ComponentPath.RegionAndComponent` |
    `static class` | `ComponentPath.RegionName` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DIVIDER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentPath​(ImmutableList<ComponentPath.RegionAndComponent> regionAndComponentList)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `static ComponentPath` | `from​(RegionPath parentPath, int componentIndex)` |
    `static ComponentPath` | `from​(String str)` |
    `int` | `getComponentIndex()` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Iterator<ComponentPath.RegionAndComponent>` | `iterator()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### DIVIDER

          public static final String DIVIDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentPath

          public ComponentPath​(ImmutableList<ComponentPath.RegionAndComponent> regionAndComponentList)

  - ### Method Detail

    - #### from

          public static ComponentPath from​(RegionPath parentPath,
                                           int componentIndex)

    - #### from

          public static ComponentPath from​(String str)

    - #### getComponentIndex

          public int getComponentIndex()

    - #### isEmpty

          public boolean isEmpty()

    - #### iterator

          public Iterator<ComponentPath.RegionAndComponent> iterator()

      Specified by:
        `iterator` in interface `Iterable<ComponentPath.RegionAndComponent>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`